Update Prior Authorization
curl --request PATCH \
--url https://app.silnahealth.com/api/public/v1/prior-authorizations/{prior_authorization_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requested_treatment_codes": null,
"documents": null,
"document_intelligence_configurations": null,
"clinician": null,
"start_date": null,
"save_as_draft": false,
"skip_document_intelligence": false
}
'import requests
url = "https://app.silnahealth.com/api/public/v1/prior-authorizations/{prior_authorization_id}"
payload = {
"requested_treatment_codes": None,
"documents": None,
"document_intelligence_configurations": None,
"clinician": None,
"start_date": None,
"save_as_draft": False,
"skip_document_intelligence": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requested_treatment_codes: null,
documents: null,
document_intelligence_configurations: null,
clinician: null,
start_date: null,
save_as_draft: false,
skip_document_intelligence: false
})
};
fetch('https://app.silnahealth.com/api/public/v1/prior-authorizations/{prior_authorization_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Prior Authorizations
Update Prior Authorization
PATCH
/
public
/
v1
/
prior-authorizations
/
{prior_authorization_id}
Update Prior Authorization
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
List of treatment codes to update
Show child attributes
Show child attributes
List of documents to update
Show child attributes
Show child attributes
Document intelligence configurations for validation overrides. By default, document validation is enabled if the document type supports it and document validation is enabled on your account
Show child attributes
Show child attributes
Clinician information
Show child attributes
Show child attributes
Requested start date
Whether to save as draft. Only available if prior auth management is enabled. Reach out to your Silna contact to turn it on.
Skip document intelligence across all documents.
Response
OK
⌘I